libvisio::VSDEllipse Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDEllipse Class Reference
Inheritance diagram for libvisio::VSDEllipse:

## Public Member Functions
| VSDEllipse (unsigned id, unsigned level, const boost::optional< double > &cx, const boost::optional< double > &cy, const boost::optional< double > &xleft, const boost::optional< double > &yleft, const boost::optional< double > &xtop, const boost::optional< double > &ytop)
| ~VSDEllipse () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_cx
double | m_cy
double | m_xleft
double | m_yleft
double | m_xtop
double | m_ytop

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## ◆ VSDEllipse()

libvisio::VSDEllipse::VSDEllipse | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | cx,
|  | const boost::optional< double > & | cy,
|  | const boost::optional< double > & | xleft,
|  | const boost::optional< double > & | yleft,
|  | const boost::optional< double > & | xtop,
|  | const boost::optional< double > & | ytop
| ) |  |
| inline

## ◆ ~VSDEllipse()

libvisio::VSDEllipse::~VSDEllipse | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libvisio::VSDGeometryListElement * libvisio::VSDEllipse::clone | ( |  | ) |
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## ◆ handle()

void libvisio::VSDEllipse::handle | ( | VSDCollector * | collector | ) | const
| overridevirtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## ◆ m_cx

double libvisio::VSDEllipse::m_cx

Referenced by libvisio::VSDGeometryList::addEllipse().

## ◆ m_cy

double libvisio::VSDEllipse::m_cy

Referenced by libvisio::VSDGeometryList::addEllipse().

## ◆ m_xleft

double libvisio::VSDEllipse::m_xleft

Referenced by libvisio::VSDGeometryList::addEllipse().

## ◆ m_xtop

double libvisio::VSDEllipse::m_xtop

Referenced by libvisio::VSDGeometryList::addEllipse().

## ◆ m_yleft

double libvisio::VSDEllipse::m_yleft

Referenced by libvisio::VSDGeometryList::addEllipse().

## ◆ m_ytop

double libvisio::VSDEllipse::m_ytop

Referenced by libvisio::VSDGeometryList::addEllipse().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp